import java.awt.*;

import java.beans.*;

import javax.swing.*;
import javax.swing.JRootPane;

public class Layer extends JPanel
{
  public Layer()
  {
    JMenuBar menuBar = new JMenuBar();
    JMenu file = new JMenu("File");

    JMenu edit = new JMenu("Edit");
    JMenuItem item1 = new JMenuItem("Undo");
    JMenuItem item2 = new JMenuItem("Cut");
    item2.setEnabled(false);
    JMenuItem item3 = new JMenuItem("Copy");
    item3.setEnabled(false);
    JMenuItem item4 = new JMenuItem("Paste");
    item4.setEnabled(false);
    JMenuItem item5 = new JMenuItem("Clear");
    item5.setEnabled(false);
    
    edit.add(item1);
    edit.add(item2);
    edit.add(item3);
    edit.add(item4);
    edit.add(item5);

    JMenu apps = new JMenu("Apps");
    JMenu options = new JMenu("Options");
    JMenu buffers = new JMenu("Buffers");
    JMenu tools = new JMenu("Tools");

    menuBar.add(file);
    menuBar.add(edit);
    menuBar.add(apps);
    menuBar.add(options);
    menuBar.add(buffers);
    menuBar.add(tools);

    add(menuBar);

    JInternalFrame iFrame = new
      JInternalFrame("An internal frame", true, true);
    iFrame.setPreferredSize(new Dimension(300, 300));
    iFrame.setJMenuBar(menuBar);
    add(iFrame);

    setVisible(true);

    String [] strs = {"You've just been voted world's best programmer!",
		      "What will you do next?",
		      "Are you going to Disneyland?"};

  }


  public static void main(String [] args)
  {
    Layer app = new Layer();

    try
      {
	UIManager.LookAndFeelInfo [] looks = 
	  UIManager.getInstalledLookAndFeels();
	
	for (int i = 0; i < looks.length; i++)
	  {
	    System.out.println(looks[i].getClassName());
	  }
      }
    catch (Exception e)
      {
	System.out.println(e.getMessage());
      }

    JFrame f = new JFrame("Using Pluggable Look-and-Feel");
    Container contentPane = f.getContentPane();
    contentPane.add(app);
    f.pack();
    f.setVisible(true);
  }


}

