import java.awt.*;
import java.awt.event.*;
import java.io.*;
import javax.swing.*;

public class Progress extends JFrame
{
  public Progress()
  {
    super("Progress Demo");

    Box box = Box.createVerticalBox();
    Dimension dim = new Dimension(0, 10);

    Container contentPane = getContentPane();

    message = new JLabel("This label is not part of the progress bar.");

    pb = new JProgressBar(0, 100);
    pb.setMaximum(100);
    pb.setValue(0);
    pb.setStringPainted(true);

    box.add(message);
    box.add(Box.createRigidArea(dim));
    box.add(pb);

    contentPane.add(Box.createVerticalStrut(30), BorderLayout.NORTH);
    contentPane.add(Box.createHorizontalStrut(30), BorderLayout.WEST);
    contentPane.add(box, BorderLayout.CENTER);
    contentPane.add(Box.createVerticalStrut(30), BorderLayout.SOUTH);
    contentPane.add(Box.createHorizontalStrut(30), BorderLayout.EAST);
  }

  private void updateBar()  
  {
    for (int i = 0; i <= 100; i++)
      {
// 	final int ii = i;
// 	Runnable updater = new Runnable()
// 	  {
// 	    public void run()
// 	      {
// 		pb.setValue(ii);
// 	      }
// 	  };

// 	SwingUtilities.invokeLater(updater);
 	pb.setValue(i);
	try 
	  {
	    Thread.sleep(50);
	  }
	catch(InterruptedException e) 
	  {
	  }
      }
  }

  public static void main(String [] args) 
  {
    Progress app = new Progress();
    WindowListener wL = new WindowAdapter()
      {
	public void windowClosing(WindowEvent e)
	  {
	    ((Window) e.getSource()).dispose();
	    System.exit(0);
	  }
      };
    app.addWindowListener(wL);

    app.pack();
    app.setVisible(true);

    app.updateBar();
  }

  JLabel message;
  JProgressBar pb;

}
