import java.awt.event.*;
import javax.swing.ImageIcon;
import javax.swing.Action;
import javax.swing.AbstractAction;


class ExitAction extends AbstractAction
{
  public ExitAction()
  {
    putValue(Action.NAME, "Exit");
    putValue(Action.SHORT_DESCRIPTION, shortDesc);
    putValue(Action.LONG_DESCRIPTION, longDesc);
    putValue(Action.SMALL_ICON, new ImageIcon("../images/alrm_critic.gif"));
  }

  public void actionPerformed(ActionEvent e)
  {
    // Do some "action" in response to the activation of
    // the event source, which fires the ActionEvent 
    // event. 
    System.exit(0);
  }

  static String shortDesc = "Exits the application";

  static String longDesc = 
  "Activating this action exits the application.";

}
