import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;


public class GBCParameters extends JPanel
{
  public GBCParameters()
  {
    GridBagLayout gbl = new GridBagLayout();
    GridBagConstraints constraints = new GridBagConstraints();

    JPanel inner = new JPanel();
    inner.setLayout(gbl);
    inner.setBorder(BorderFactory.createBevelBorder(BevelBorder.LOWERED));
    inner.setPreferredSize(new Dimension(250, 200));

    constraints.fill = GridBagConstraints.NONE;
    constraints.insets = new Insets(60, 60, 60, 60);
    constraints.ipadx = 40;
    constraints.ipady = 40;
    constraints.anchor = GridBagConstraints.NORTHWEST;
    JButton button = new JButton("Button");
    gbl.setConstraints(button, constraints);

    inner.add(button);

    add(inner, BorderLayout.CENTER);

  }

  public static void main(String [] args)
  {
    GBCParameters app = new GBCParameters();

    JFrame f = new JFrame("GridBagConstraints Parameters");
    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }

}
