import java.awt.*;
import javax.swing.*;

public class GridBagWeightingDemo extends JPanel
{
  public GridBagWeightingDemo()
  {
    GridBagLayout gbl = new GridBagLayout();
    GridBagConstraints constraints = new GridBagConstraints();

    setLayout(gbl);

    constraints.weightx = .5;
    constraints.weighty = .5;
    JButton one = new JButton("1");
    gbl.setConstraints(one, constraints);

    constraints.weightx = .375;
    constraints.weighty = .375;
    JButton two = new JButton("2");
    gbl.setConstraints(two, constraints);

    constraints.weightx = .125;
    constraints.weighty = .125;
    JButton three = new JButton("3");
    gbl.setConstraints(three, constraints);

    constraints.gridx = 0;
    constraints.gridy = 1;
    constraints.weightx = 0;
    constraints.weighty = 0;
    JButton four = new JButton("4");
    gbl.setConstraints(four, constraints);

    constraints.gridx = GridBagConstraints.RELATIVE;
    JButton five = new JButton("5");
    gbl.setConstraints(five, constraints);

    JButton six = new JButton("6");
    gbl.setConstraints(six, constraints);

    constraints.gridx = 0;
    constraints.gridy = 2;
    JButton seven = new JButton("7");
    gbl.setConstraints(seven, constraints);

    constraints.gridx = GridBagConstraints.RELATIVE;
    JButton eight = new JButton("8");
    gbl.setConstraints(eight, constraints);

    JButton nine = new JButton("9");
    gbl.setConstraints(nine, constraints);

    add(one);
    add(two);
    add(three);
    add(four);
    add(five);
    add(six);
    add(seven);
    add(eight);
    add(nine);
  }

  public static void main(String [] args)
  {
    GridBagWeightingDemo app = new GridBagWeightingDemo();

    JFrame f = new JFrame("GridBagLayout Demo");
    f.getContentPane().add(app);
    f.pack();
    f.setVisible(true);
  }

}
